#!/bin/bash

function error_msg() {
	zenity --error --text="$1"
	exit 1
}


function ask_question(){
	if [ $2 ];then
		zenity --entry --text "$1" --entry-text "$2"
	else
		zenity --entry --text "$1"
	fi
}

function normal_msg(){
	zenity --info --text="$1"
}

function continued(){
	case $1 in
		0 )
		echo "ok";;
		1 )
		error_msg "Il y a une erreur, le programme va s'arreter" 
		exit 0;;
		*)
		error_msg "Il y a une erreur, le programme va s'arreter" 
		exit 1
	esac	
}

function test_num(){
	if let "$1" 2>/dev/null;then
		return 0
	else
		error_msg "$1 n'est pas une valeur numerique"
	fi
}

